Summary: A collection of basic system utilities.
Name: util-linux
Version: 2.12b
Release: 2tr
License: Distributable
Group: Trustix Official
Source0: ftp://ftp.kernel.org/pub/linux/utils/util-linux/util-linux-%{version}.tar.bz2
Source1: login.pamd
Source2: multi.pamd
Patch0: util-linux-2.12a-config.patch
Patch1: util-linux-2.10s-fdiskwarning.patch
Patch2: util-linux-2.10s-nonroot.patch
#Patch3: util-linux-2.11t-mount-rpc.patch
Patch4: util-linux-2.10s-mount-compat.patch
Patch5: util-linux-2.11z-crypto.patch
Patch6: util-linux-2.11r-ctty3.patch
Patch7: util-linux-selinux.patch
Patch8: util-linux-2.12b-CAN-2005-2876.patch
Prereq: mktemp /bin/awk /usr/bin/cmp coreutils
Requires: htmlinfo
BuildRequires: zlib-devel, pam-devel, libtermcap-devel, slang-devel
BuildRequires: /usr/bin/makeinfo
Obsoletes: fdisk tunelp
BuildRoot: /var/tmp/%{name}-root
Requires: pam >= 0.66-4, glibc >= 2.1.2
Conflicts: kernel < 2.2.12-7
Autoreq: 0


%description
The util-linux package contains a large variety of low-level system
utilities that are necessary for a Linux system to function.  Among
many features, Util-linux contains the fdisk configuration tool and
the login program.


%package -n mount
Summary: Programs for mounting and unmounting filesystems.
Group: Trustix Official

%description -n mount
The mount package contains the mount, umount, swapon and swapoff
programs.  Accessible files on your system are arranged in one big
tree or hierarchy.  These files can be spread out over several
devices. The mount command attaches a filesystem on some device to
your system's file tree.  The umount command detaches a filesystem
from the tree.  Swapon and swapoff, respectively, specify and disable
devices and files for paging and swapping.


%package -n losetup
Summary: Programs for setting up and configuring loopback devices.
Group: Trustix Official

%description -n losetup
Linux supports a special block device called the loop device, which
maps a normal file onto a virtual block device.  This allows for the
file to be used as a "virtual file system" inside another file.
Losetup is used to associate loop devices with regular files or block
devices, to detach loop devices and to query the status of a loop
device.


%package -n minixprogs
Summary: Utilities for managing the minix filesystem.
Group: Trustix Official

%description -n minixprogs
The minixprogs package contains of utilities for creating and 
checking minix filesystems.


%package -n cramfsprogs
Summary: Utilities for managing the cramfs filesystem.
Group: Trustix Official

%description -n cramfsprogs
The cramfsprogs package contains of utilities for creating and 
checking a Compressed RAM based filesystems.


%package -n bfsprogs
Summary: Utilities for managing the bfs filesystem.
Group: Trustix Official

%description -n bfsprogs
The cramfsprogs package contains a utility for creating 
an SCO bfs filesystem.


%package -n agetty
Summary: An alternative getty
Group: Trustix Official

%description -n agetty
An alternative getty, supports serial-console and dial-in lines.


%package -n login
Summary: The login and friends
Group: Trustix Official

%description -n login
login and friends are used to log handle user authentication and such.


%prep

%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1

#%patch3 -p1
%patch4 -p1
#%patch5 -p1
%patch6 -p1
#%patch7 -p1
%patch8 -p1

%build
LARGEFILES=""
if [ %{LargeFileSupport} == '1' ]; then
  LARGEFILES="-D_FILE_OFFSET_BITS=64"
fi

RPM_OPT_FLAGS="$RPM_OPT_FLAGS $LARGEFILES"
unset LINGUAS || :
./configure
make %{?use_selinux: HAVE_SELINUX=yes}

cd sys-utils
makeinfo --html ipc.texi
cd ..


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/{bin,etc/pam.d,sbin}
mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/info,lib,share/man/man1,share/man/man6,share/man/share/man8,sbin}
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/{cs,de,fr,it,ja,nl,pt_BR}/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/html/ipc
for i in sys-utils/ipc/* ; do 
install -o root -g root -m 644 $i $RPM_BUILD_ROOT/%{_datadir}/html/ipc/
done



for i in /bin/login /usr/bin/chfn /usr/bin/chsh /usr/bin/newgrp ; do
	strip $RPM_BUILD_ROOT/$i
done

strip $RPM_BUILD_ROOT/sbin/fdisk || :

rm -f $RPM_BUILD_ROOT/sbin/clock
ln -s hwclock $RPM_BUILD_ROOT/sbin/clock

# pam
install -m 0755 -d $RPM_BUILD_ROOT/etc/pam.d
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/login
#install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/shadow
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/chfn
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/chsh

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/htmlinfo_update.sh

%postun
/usr/sbin/htmlinfo_update.sh


%files
%defattr(-,root,root,0755)
/sbin/clock
/sbin/hwclock
%{_mandir}/man8/hwclock.8*


/usr/sbin/tunelp
%{_mandir}/man8/tunelp.8*


/sbin/fdisk
%{_mandir}/man8/fdisk.8*

/sbin/cfdisk
%{_mandir}/man8/cfdisk.8*

/sbin/sfdisk
%{_mandir}/man8/sfdisk.8*
%doc fdisk/sfdisk.examples


/sbin/mkfs
%{_mandir}/man8/mkfs.8*

/sbin/mkswap
%{_mandir}/man8/mkswap.8*

/usr/bin/raw
%{_mandir}/man8/raw.8*


/usr/bin/fdformat
%{_mandir}/man8/fdformat.8*

/usr/bin/setfdprm
%config(noreplace) /etc/fdprm
%{_mandir}/man8/setfdprm.8*


/sbin/pivot_root
%{_mandir}/man8/pivot_root.8*


/usr/bin/ddate
%{_mandir}/man1/ddate.1*

/usr/sbin/vigr
%{_mandir}/man8/vigr.8*


/bin/kill
%{_mandir}/man1/kill.1*


/usr/bin/cal
%{_mandir}/man1/cal.1*

/usr/bin/logger
%{_mandir}/man1/logger.1*

/usr/bin/look
%{_mandir}/man1/look.1*

/usr/bin/mcookie
%{_mandir}/man1/mcookie.1*

/usr/bin/namei
%{_mandir}/man1/namei.1*

/usr/bin/script
%{_mandir}/man1/script.1*

/usr/bin/setterm
%{_mandir}/man1/setterm.1*

/usr/bin/whereis
%{_mandir}/man1/whereis.1*

%attr(2755,root,tty)	/usr/bin/write
%{_mandir}/man1/write.1*

/usr/bin/getopt
%{_mandir}/man1/getopt.1*
/usr/share/misc/getopt


/bin/dmesg
%{_mandir}/man8/dmesg.8*

/sbin/ctrlaltdel
%{_mandir}/man8/ctrlaltdel.8*

/bin/arch
%{_mandir}/man1/arch.1*


/usr/bin/ipcrm
%{_mandir}/man8/ipcrm.8*

/usr/bin/ipcs
%{_mandir}/man8/ipcs.8*
%{_datadir}/html/ipc/


/usr/bin/renice
%{_mandir}/man8/renice.8*

/usr/sbin/readprofile
%{_mandir}/man1/readprofile.1*

/usr/bin/setsid
%{_mandir}/man8/setsid.8*

/usr/bin/cytune
%{_mandir}/man8/cytune.8*

/usr/sbin/rdev
%{_mandir}/man8/rdev.8*

/usr/sbin/ramsize
%{_mandir}/man8/ramsize.8*

/usr/sbin/rootflags
%{_mandir}/man8/rootflags.8*

/usr/sbin/vidmode
%{_mandir}/man8/vidmode.8*


/usr/bin/col
%{_mandir}/man1/col.1*

/usr/bin/colcrt
%{_mandir}/man1/colcrt.1*

/usr/bin/colrm
%{_mandir}/man1/colrm.1*

/usr/bin/column
%{_mandir}/man1/column.1*

/usr/bin/hexdump
%{_mandir}/man1/hexdump.1*

/usr/bin/rev
%{_mandir}/man1/rev.1*

/usr/bin/ul
%{_mandir}/man1/ul.1*

/usr/bin/line
%{_mandir}/man1/line.1.gz

/usr/bin/pg
%{_mandir}/man1/pg.1.gz

/bin/more
%{_mandir}/man1/more.1*

/sbin/blockdev
%{_mandir}/man8/blockdev.8*

/sbin/elvtune
%{_mandir}/man8/elvtune.8*

/usr/bin/rename
%{_mandir}/man1/rename.1*

/usr/bin/isosize
%{_mandir}/man8/isosize.8*

/usr/bin/chkdupexe
%{_mandir}/man1/chkdupexe.1.gz


%doc */README.*

%files -n mount
%defattr(-,root,root,0755)
%attr(0755,root,root)   /bin/mount
%attr(0755,root,root)   /bin/umount
/sbin/swapon
/sbin/swapoff
%{_mandir}/man5/fstab.5*
%{_mandir}/man5/nfs.5*
%{_mandir}/man8/mount.8*
%{_mandir}/man8/swapoff.8*
%{_mandir}/man8/swapon.8*
%{_mandir}/man8/umount.8*


%files -n minixprogs
%defattr(-,root,root,0755)
/sbin/fsck.minix
/sbin/mkfs.minix
%{_mandir}/man8/fsck.minix.8*
%{_mandir}/man8/mkfs.minix.8*


%files -n cramfsprogs
%defattr(-,root,root,0755)
/sbin/fsck.cramfs
/sbin/mkfs.cramfs


%files -n bfsprogs
%defattr(-,root,root,0755)
/sbin/mkfs.bfs
%{_mandir}/man8/mkfs.bfs.8*


%files -n losetup
%defattr(-,root,root,0755)
/sbin/losetup
%{_mandir}/man8/losetup.8*


%files -n agetty
%defattr(-,root,root,0755)
/sbin/agetty
%{_mandir}/man8/agetty.8*


%files -n login
%defattr(-,root,root,0755)
/bin/login
/usr/bin/chfn
/usr/bin/chsh
/usr/bin/newgrp
/usr/sbin/vipw
%config /etc/pam.d/login
#%config /etc/pam.d/shadow
%config /etc/pam.d/chfn
%config /etc/pam.d/chsh
%{_mandir}/man1/chfn.1.gz
%{_mandir}/man1/chsh.1.gz
%{_mandir}/man1/login.1.gz
%{_mandir}/man1/newgrp.1.gz
%{_mandir}/man8/vipw.8.gz


%changelog
* Thu Sep 15 2005 Bipin S <bipin at comodo dot com> 2.12b-2tr
- SECURITY FIX: unintentional grant of privileges by umount
- umount in util-linux allows local users with unmount permissions to gain privileges
  via the -r (remount) option, which causes the file system to be remounted with just
  the read-only flag, which effectively clears the nosuid, nodev, and other flags.
                                                                                                                             
  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CAN-2005-2876 to this issue.


* Fri Sep 17 2004 Erlend Midttun <erlendbm at trustix dot org> 2.12b-1tr
- New upstream.

* Mon Mar 15 2004 Chr. Toldnes <christht at trustix dot org> 2.11x-10tr
- Removed patch that breaks rpc dependent mounting.

* Wed Feb  4 2004 Oystein Viggen <oysteivi at trustix dot org> 2.11z-7tr
- Add selinux support for sunchild

* Fri Dec 12 2003 Erlend Midttun <erlendbm at trustix dot org> 2.11z-6tr
- Big rebuild

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 2.11z-5tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.11z-4tr
- Big rebuild

* Fri Jun 13 2003 Roland Kruse <rolandk at trustix dot com> 2.11z-3rk
- login: kill off login shell when killed (Patch6)

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 2.11z-2em
- fileutils, textutils, sh-utils -> coreutils.

* Fri May 23 2003 Erlend Midttun <erlendbm at trustix dot com> 2.11z-1em
- New upstream.
- Typos.

* Wed Apr 23 2003 Erlend Midttun <erlendbm at trustix dot com> 2.11y-7em
- Wrong path on pam.d

* Tue Apr 22 2003 Erlend Midttun <erlendbm at trustix dot com> 2.11y-6em
- Seems shadow-utils was somewhat broken, so we use login from here.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.11y-5em
- Rebuilt against glibc 2.3.2.

* Wed Jan  8 2003 Goetz Bock <bock at trustix dot org> 2.11y-4bg
- added crypto-loop patch
- changed requires kernel > ... to conflicts kernel < ...

* Thu Dec 19 2002 Goetz Bock <bock at trustix dot org> 2.11y-3bg
- removed NLS
- changed an info to a html page

* Thu Dec 19 2002 Goetz Bock <bock at trustix dot org> 2.11y-2bg
- cant count error

* Thu Dec 19 2002 Goetz Bock <bock at trustix dot org> 2.11y-1bg
- don't pack agetty manpage twice
- new upstream
- a lot of buildrequirements
- added the remaining tools
- seperated mkfs.<bizar> utilities into <bizar>progs

* Mon Jul 22 2002 Nico Erfurth <masta at trustix dot org> 2.11t-1ne
- Upgraded to 2.11t
- Moved the pam-files to shadow-utils
- Use mkfs.cramfs instead of mkcramfs
- Removed some patches, and rebuiled other ones
- Added agetty sub-package, we really should have a full featured
  getty in tsl
- added pivot_root,mkfs.bfs,mkfs.cramfs,fsck.cramfs

* Tue Jul 16 2002 Christian H. Toldnes <christht at trustix dot com> 2.11f-10ct
- removed /bin/login,  /usr/bin/chfn, /usr/bin/chsh,  /usr/bin/newgrp, and
  /usr/sbin/vipw with man pages, as these now are part of shadow-utils
  according to LSB.

* Fri Jul 03 2002 Nico Erfurth <ne@perlgolf.de> 2.11f-9ne
- Fixed a local build-problem (wrong patches in my SOURCE-dir)

* Fri Jun 21 2002 Nico Erfurth <ne@perlgolf.de> 2.11f-8ne
- Added support for LargeFiles
- Removed some unneeded usages of $RPM_OPT_FLAGS
- Wiped the %ifarch-macros, we don't support other archs than x86

* Mon Jun 03 2002 Gerald Dachs <gda at trustix dot org>
- added mkcramfs, need by 2.4.x boot kernel

* Wed Oct 17 2001 Christian H. Toldnes <christht at trustix dot com>
- Fix login/pam problem

* Wed Oct 03 2001 Christian H. Toldnes <christht at trustix dot com>
- Fix a segfault problem when guessing wrong fs-type

* Tue Jul 17 2001 Oystein Viggen <oysteivi at trustix dot com>
- Fix a problem with /etc/shadow modes using vipw

* Wed Jun 28 2001 Oystein Viggen <oysteivi at trustix dot com>
- Hopefully fixed bug in login.c where tty was closed after fork()

* Thu Jun 21 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 2.11f
- Add some previously excluded files

* Tue Jun  5 2001 Erlend Midttun <erlendbm at trustix dot com>
- Updated to 2.11d.

* Tue Mar 13 2001 Alexander Reelsen <ar at trustix dot com>
- Picked up 2.10s
- Removed pam_console/kbdrate stuff
- Built mount/losetup out of this package
- Minor spec file cleanup

* Wed Jan 26 2000 Erlend Midttun <erlendbm at trustix dot com>
- Added spesific Req's and disabled autoreq to avoid dependencies on packages
  only needed for tests

* Tue Jan 25 2000 Erlend Midttun <erlendbm at trustix dot com>
- Moved man and info pages to comply with FHS

* Thu Jan 20 2000 Jeff Johnson <jbj@redhat.com>
- strip newlines in logger input.

* Mon Jan 10 2000 Jeff Johnson <jbj@redhat.com>
- rebuild with correct ncurses libs.

* Tue Dec  7 1999 Matt Wilson <msw@redhat.com>
- updated to util-linux 2.10c
- deprecated IMAP login mail notification patch17
- deprecated raw patch22
- depricated readprofile patch24

* Tue Dec  7 1999 Bill Nottingham <notting@redhat.com>
- add patch for readprofile

* Thu Nov 18 1999 Michael K. Johnson <johnsonm@redhat.com>
- tunelp should come from util-linux

* Tue Nov  9 1999 Jakub Jelinek <jakub@redhat.com>
- kbdrate cannot use /dev/port on sparc.

* Wed Nov  3 1999 Jakub Jelinek <jakub@redhat.com>
- fix kbdrate on sparc.

* Wed Oct 27 1999 Bill Nottingham <notting@redhat.com>
- ship hwclock on alpha.

* Tue Oct  5 1999 Bill Nottingham <notting@redhat.com>
- don't ship symlinks to rdev if we don't ship rdev.

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- add rawIO support from sct

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- don't display "new mail" message when the only piece of mail is from IMAP

* Fri Aug 27 1999 Michael K. Johnson <johnsonm@redhat.com>
- kbdrate is now a console program

* Thu Aug 26 1999 Jeff Johnson <jbj@redhat.com>
- hostid is now in sh-utils. On sparc, install hostid as sunhostid (#4581).
- update to 2.9w:
-  Updated mount.8 (Yann Droneaud)
-  Improved makefiles
-  Fixed flaw in fdisk

* Tue Aug 10 1999 Jeff Johnson <jbj@redhat.com>
- tsort is now in textutils.

* Wed Aug  4 1999 Bill Nottingham <notting@redhat.com>
- turn off setuid bit on login. Again. :(

* Tue Aug  3 1999 Peter Jones, <pjones@redhat.com>
- hostid script for sparc (#3803).

* Tue Aug 03 1999 Christian 'Dr. Disk' Hechelmann <drdisk@tc-gruppe.de>
- added locale message catalogs to %file
- added patch for non-root build
- vigr.8 and /usr/lib/getopt  man-page was missing from file list
- /etc/fdprm really is a config file

* Fri Jul 23 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.9v:
-   cfdisk no longer believes the kernel's HDGETGEO
    (and may be able to partition a 2 TB disk)

* Fri Jul 16 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.9u:
-   Czech more.help and messages (Ji Pavlovsk)
-   Japanese messages (Daisuke Yamashita)
-   fdisk fix (Klaus G. Wagner)
-   mount fix (Hirokazu Takahashi)
-   agetty: enable hardware flow control (Thorsten Kranzkowski)
-   minor cfdisk improvements
-   fdisk no longer accepts a default device
-   Makefile fix

* Tue Jul  6 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.9t:
-   national language support for hwclock
-   Japanese messages (both by Daisuke Yamashita)
-   German messages and some misc i18n fixes (Elrond)
-   Czech messages (Ji Pavlovsk)
-   wall fixed for /dev/pts/xx ttys
-   make last and wall use getutent() (Sascha Schumann)
    [Maybe this is bad: last reading all of wtmp may be too slow.
     Revert in case people complain.]
-   documented UUID= and LABEL= in fstab.5
-   added some partition types
-   swapon: warn only if verbose

* Fri Jun 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.9s.

* Sat May 29 1999 Jeff Johnson <jbj@redhat.com>
- fix mkswap sets incorrect bits on sparc64 (#3140).

* Thu Apr 15 1999 Jeff Johnson <jbj@redhat.com>
- on sparc64 random ioctls on clock interface cause kernel messages.

* Thu Apr 15 1999 Jeff Johnson <jbj@redhat.com>
- improved raid patch (H.J. Lu).

* Wed Apr 14 1999 Michael K. Johnson <johnsonm@redhat.com>
- added patch for smartraid controllers

* Sat Apr 10 1999 Cristian Gafton <gafton@redhat.com>
- fix logging problems caused by setproctitle and PAM interaction
  (#2045)

* Wed Mar 31 1999 Jeff Johnson <jbj@redhat.com>
- include docs and examples for sfdisk (#1164)

* Mon Mar 29 1999 Matt Wilson <msw@redhat.com>
- rtc is not working properly on alpha, we can't use hwclock yet.

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- add patch to make mkswap more 64 bit friendly... Patch from
  eranian@hpl.hp.com (ahem!)

* Thu Mar 25 1999 Jeff Johnson <jbj@redhat.com>
- include sfdisk (#1164)
- fix write (#1784)
- use positive logic in spec file (%ifarch rather than %ifnarch).
- (re)-use 1st matching utmp slot if search by mypid not found.
- update to 2.9o
- lastb wants bad logins in wtmp clone /var/run/btmp (#884)

* Thu Mar 25 1999 Jakub Jelinek <jj@ultra.linux.cz>
- if hwclock is to be compiled on sparc,
  it must actually work. Also, it should obsolete
  clock, otherwise it clashes.
- limit the swap size in mkswap for 2.2.1+ kernels
  by the actual maximum size kernel can handle.
- fix kbdrate on sparc, patch by J. S. Connell
  <ankh@canuck.gen.nz>

* Wed Mar 24 1999 Matt Wilson <msw@redhat.com>
- added pam_console back into pam.d/login

* Tue Mar 23 1999 Matt Wilson <msw@redhat.com>
- updated to 2.9i
- added hwclock for sparcs and alpha

* Mon Mar 22 1999 Erik Troan <ewt@redhat.com>
- added vigr to file list

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- remove most of the ifnarch arm stuff

* Mon Mar 15 1999 Michael Johnson <johnsonm@redhat.com>
- added pam_console.so to /etc/pam.d/login

* Thu Feb  4 1999 Michael K. Johnson <johnsonm@redhat.com>
- .perms patch to login to make it retain root in parent process
  for pam_close_session to work correctly

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- strip fdisk in buildroot correctly (#718)

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- have fdisk compiled on sparc and arm

* Mon Jan 11 1999 Erik Troan <ewt@redhat.com>
- added beos partition type to fdisk

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- incorporate fdisk on all arches

* Sat Dec  5 1998 Jeff Johnson <jbj@redhat.com>
- restore PAM functionality at end of login (Bug #201)

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch top build on the arm without PAM and related utilities, for now.
- build hwclock only on intel

* Wed Nov 18 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 2.9

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)
- patch kbdrate wackiness so it builds with egcs

* Tue Oct 13 1998 Erik Troan <ewt@redhat.com>
- patched more to use termcap

* Mon Oct 12 1998 Erik Troan <ewt@redhat.com>
- added warning about alpha/bsd label starting cylinder

* Mon Sep 21 1998 Erik Troan <ewt@redhat.com>
- use sigsetjmp/siglongjmp in more rather then sig'less versions

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- explicit attrs for setuid/setgid programs

* Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com>
- sln is now included in glibc

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- add cbm1581 floppy definitions (problem #787)

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- remove /etc/nologin at end of shutdown/halt.

* Fri Jun 19 1998 Jeff Johnson <jbj@redhat.com>
- add mount/losetup.

* Thu Jun 18 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.8 with 2.8b clean up. hostid now defunct?

* Mon Jun 01 1998 David S. Miller <davem@dm.cobaltmicro.com>
- "more" now works properly on sparc

* Sat May 02 1998 Jeff Johnson <jbj@redhat.com>
- Fix "fdisk -l" fault on mounted cdrom. (prob #513)

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Mon Dec 29 1997 Erik Troan <ewt@redhat.com>
- more didn't suspend properly on glibc
- use proper tc*() calls rather then ioctl's

* Sun Dec 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed a security problem in chfn and chsh accepting too 
  long gecos fields

* Fri Dec 19 1997 Mike Wangsmo <wanger@redhat.com>
- removed "." from default path

* Tue Dec 02 1997 Cristian Gafton <gafton@redhat.com>
- added (again) the vipw patch

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- minor cleanups for glibc 2.1

* Fri Oct 17 1997 Michael Fulbright <msf@redhat.com>
- added vfat32 filesystem type to list recognized by fdisk

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- don't build clock on the alpha 
- don't install chkdupexe

* Thu Oct 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- Update to new pam standard.
- BuildRoot.

* Thu Sep 25 1997 Cristian Gafton <gafton@redhat.com>
- added rootok and setproctitle patches
- updated pam config files for chfn and chsh

* Tue Sep 02 1997 Erik Troan <ewt@redhat.com>
- updated MCONFIG to automatically determine the architecture
- added glibc header hacks to fdisk code
- rdev is only available on the intel

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- update to util-linux 2.7, fixed login problems

* Wed Jun 25 1997 Erik Troan <ewt@redhat.com>
- Merged Red Hat changes into main util-linux source, updated package to
  development util-linux (nearly 2.7).

* Tue Apr 22 1997 Michael K. Johnson <johnsonm@redhat.com>
- LOG_AUTH --> LOG_AUTHPRIV in login and shutdown

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved to new pam and from pam.conf to pam.d

* Tue Feb 25 1997 Michael K. Johnson <johnsonm@redhat.com>
- pam.patch differentiated between different kinds of bad logins.
  In particular, "user does not exist" and "bad password" were treated
  differently.  This was a minor security hole.
